%define oname   rbot

Name:           ruby-%{oname}
Version:        0.9.15
Release:        %mkrel 2
Summary:        A modular ruby IRC bot
Group:          Development/Ruby
License:        MIT
URL:            http://ruby-rbot.org
Source0:        http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires:  rubygems
BuildRequires:  ruby-devel
BuildRequires:  rubygem(gettext)
BuildRequires:  rubygem(rake)
Requires:       ruby(abi) = 1.8
Requires:       rubygem(hpricot)
Requires:       rubygem(htmlentities)
Requires:       rubygem(tokyocabinet)
Suggests:       rubygem(mechanize)
Suggests:       rubygem(shorturl)
Suggests:       rubygem(rss)
Suggests:       rubygem(tzinfo)
Suggests:       figlet
Suggests:       fortune-mod
BuildArch:      noarch

%description
A modular ruby IRC bot specifically designed for ease of extension via
plugins.


%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build -f data

%install
%gem_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/rbot
%{_bindir}/rbot-remote
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/gems/%{oname}-%{version}/data/rbot
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Sun Jan 22 2012 kamil <kamil> 0.9.15-2.mga2
+ Revision: 199458
- rebuild against new tokyocabinet-1.4.47
- clean .spec

* Sun Apr 17 2011 shikamaru <shikamaru> 0.9.15-1.mga1
+ Revision: 87160
- imported package ruby-rbot


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.9.15-1mdv2011.0
- Initial package
